﻿using System.Collections.Generic;

namespace MWS.Processing.Interfaces
{
    public interface IQueue<T>
    {
        void Clear();
        void Enqueue(T item);
        IList<T> Dequeue(int maxItems = 1);
        T Peek();
        bool Contains(T item);
    }
}